Page MenuHomePhabricator

Find better way to omit outputting feed links
Closed, ResolvedPublic

Description

Omitting output of feed links (as of T100377) in MobileFrontend is made by changing $wg variable in runtime, which isn't a good practise and should not be kept in code forever.

See: https://gerrit.wikimedia.org/r/#/c/259546/5/includes/MobileFrontend.hooks.php

Event Timeline

Albert221 raised the priority of this task from to Needs Triage.
Albert221 updated the task description. (Show Details)
Albert221 added a project: MobileFrontend.
Albert221 added subscribers: Albert221, Florian.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 17 2015, 4:58 PM
Albert221 updated the task description. (Show Details)Dec 17 2015, 5:00 PM
Albert221 set Security to None.
KLans_WMF triaged this task as Lowest priority.Dec 17 2015, 5:55 PM
Jdlrobson triaged this task as Lowest priority.Dec 17 2015, 5:55 PM
Jdlrobson added a project: MediaWiki-Interface.

Change 259546 had a related patch set uploaded (by Albert221):
RSS feeds should not be in head for mobile

https://gerrit.wikimedia.org/r/259546

Florian claimed this task.Dec 18 2015, 7:06 PM

Change 260060 had a related patch set uploaded (by Florianschmidtwelzow):
Add a new hook AfterBuildFeedLinks to manipulate feed links

https://gerrit.wikimedia.org/r/260060

Change 260061 had a related patch set uploaded (by Florianschmidtwelzow):
Use AfterBuildFeedLinks hook to disable all feed links

https://gerrit.wikimedia.org/r/260061

Change 260060 merged by jenkins-bot:
Add a new hook AfterBuildFeedLinks to manipulate feed links

https://gerrit.wikimedia.org/r/260060

Change 260061 merged by jenkins-bot:
Use AfterBuildFeedLinks hook to disable all feed links

https://gerrit.wikimedia.org/r/260061

Jdlrobson closed this task as Resolved.Dec 21 2015, 9:38 PM
Jdlrobson added a subscriber: Jdlrobson.